Bug 212187 - [css-grid] Update WPT imported tests and deduplicate common tests
Summary: [css-grid] Update WPT imported tests and deduplicate common tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Carlos Alberto Lopez Perez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-05-20 22:10 PDT by Carlos Alberto Lopez Perez
Modified: 2020-05-22 07:14 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.54 MB, patch)
2020-05-20 22:23 PDT, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff
Patch (3.54 MB, patch)
2020-05-21 10:28 PDT, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff
Patch (3.54 MB, patch)
2020-05-21 13:23 PDT, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff
Patch (3.54 MB, patch)
2020-05-21 23:31 PDT, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Alberto Lopez Perez 2020-05-20 22:10:53 PDT
Like we did for flexbox in bug 191460 let's update the WPT import of css-grid tests and deduplicate old layout tests in favor of WPT ones.
Comment 1 Carlos Alberto Lopez Perez 2020-05-20 22:23:56 PDT
Created attachment 399933 [details]
Patch

test EWS, ignore
Comment 2 Carlos Alberto Lopez Perez 2020-05-21 10:28:07 PDT
Created attachment 399964 [details]
Patch

test EWS, ignore
Comment 3 Carlos Alberto Lopez Perez 2020-05-21 13:23:38 PDT
Created attachment 399977 [details]
Patch

test EWS, ignore.
Comment 4 Carlos Alberto Lopez Perez 2020-05-21 23:31:45 PDT
Created attachment 400031 [details]
Patch
Comment 5 Carlos Alberto Lopez Perez 2020-05-22 06:41:16 PDT
Comment on attachment 400031 [details]
Patch

r?
Asking for review now. All EWS green.
Comment 6 EWS 2020-05-22 07:13:04 PDT
Committed r262056: <https://trac.webkit.org/changeset/262056>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 400031 [details].
Comment 7 Radar WebKit Bug Importer 2020-05-22 07:14:18 PDT
<rdar://problem/63539293>